package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 设备类型枚举
 */
@Getter
@AllArgsConstructor
public enum DeviceTypeEnum {

    /**
     * 苹果正版sdk
     */
    DEVICE_TYPE_IOSAPPLESDK("iosapplesdk", "苹果正版sdk"),

    /**
     * 苹果免越狱sdk
     */
    DEVICE_TYPE_IOSSDK("iossdk", "苹果免越狱sdk"),

    /**
     * 苹果app
     */
    DEVICE_TYPE_IOSAPP("iosapp", "苹果app"),

    /**
     * 苹果h5app
     */
    DEVICE_TYPE_IOSH5APP("iosh5app", "苹果h5app"),

    /**
     * safari浏览器
     */
    DEVICE_TYPE_SAFARI("safari", "safari浏览器"),

    /**
     * 安卓sdk
     */
    DEVICE_TYPE_ANDSDK("andsdk", "安卓sdk"),

    /**
     * 安卓app
     */
    DEVICE_TYPE_ANDAPP("andapp", "安卓app"),

    /**
     * 安卓h5app
     */
    DEVICE_TYPE_ANDH5APP("andh5app", "安卓h5app"),

    /**
     * 安卓浏览器
     */
    DEVICE_TYPE_ANDBROWSER("andbrowser", "安卓浏览器"),

    /**
     * 微信
     */
    DEVICE_TYPE_WEIXIN("weixin", "微信"),

    /**
     * 电脑
     */
    DEVICE_TYPE_PC("pc", "电脑"),

    /**
     * 广告平台
     */
    DEVICE_TYPE_AGENT("agent", "广告平台"),

    /**
     * 普通wap
     */
    DEVICE_TYPE_WAP("wap", "普通wap"),

    /**
     * 微信小程序
     */
    DEVICE_TYPE_MP("mp", "微信小程序"),

    /**
     * 微信盒子
     */
    DEVICE_TYPE_BOX("box", "微信盒子");

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 描述
     */
    private String describe;
}
