package com.zanxiang.sdk;

import com.zanxiang.sdk.common.listener.OrderPaySuccessEvent;
import com.zanxiang.sdk.domain.bo.PlatformOrderBO;
import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;
import com.zanxiang.sdk.service.PlatformOrderService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;

import java.math.BigDecimal;

/**
 * 订单模块单元测试类
 *
 * @author xufeng
 * @date 2022-06-06 17:06
 */

public class OrderTests extends SDKApplicationTests {

    @Autowired
    private PlatformOrderService platformOrderService;

    @Autowired
    private ApplicationContext applicationContext;

    @Test
    void getOrderInfo() {
        PlatformOrderDTO info = platformOrderService.info("1", "1");
        System.out.println(info);
    }

    @Test
    void createOrder() {
        PlatformOrderBO bo = new PlatformOrderBO();
        bo.setCpId("1");
        bo.setCpOrderId("cp00001");
        bo.setUserId("1");
        bo.setMgUserId("1");
        bo.setGameId(1L);
        bo.setAmount(new BigDecimal("0.01"));
        bo.setProductId("cs0001");
        bo.setProductCnt(1);
        bo.setProductName("测试商品1");
        String orderId = platformOrderService.create(bo);
        System.out.println(orderId);
    }

    @Test
    void payOrder() {
        String orderId = "1534374084091142145";
        PlatformOrderBO bo = new PlatformOrderBO();

        bo.setId(orderId);
        bo.setUserId("1");
        bo.setRealAmount(new BigDecimal("0.01"));
        bo.setMerchantOrderNo("alipay0000001");
        bo.setGamePaywayId("1");
        bo.setStatus(2);
        Boolean result = platformOrderService.pay(bo);
        System.out.println(result);
    }

    @Test
    void cancelPay() {
        String orderId = "1";
        PlatformOrderBO bo = new PlatformOrderBO();
        bo.setId(orderId);
        Boolean result = platformOrderService.cancel(bo);
        System.out.println(result);
    }

    @Test
    void paySuccess() {
        OrderPaySuccessEvent orderPaySuccessEvent = new OrderPaySuccessEvent(this, "1540258001251815425");
        applicationContext.publishEvent(orderPaySuccessEvent);
    }

}
